# Agile study group

Study group meetings will be announced on Slack.
This page keeps a list of the materials we intend to cover.

## The Troubleshooting Agile podcast

The [Troubleshooting Agile](https://www.conversationaltransformation.com/troubleshooting-agile-podcast/) podcast, by Douglas Squirrel and Jeffrey Fredrick, have a series of episodes discussing the principles in the [Agile Manifesto](https://agilemanifesto.org/).

### The importance of agile

<iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/385412369&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true"></iframe><div style="font-size: 10px; color: #cccccc;line-break: anywhere;word-break: normal;overflow: hidden;white-space: nowrap;text-overflow: ellipsis; font-family: Interstate,Lucida Grande,Lucida Sans Unicode,Lucida Sans,Garuda,Verdana,Tahoma,sans-serif;font-weight: 100;"><a href="https://soundcloud.com/troubleshootingagile" title="Troubleshooting Agile" target="_blank" style="color: #cccccc; text-decoration: none;">Troubleshooting Agile</a> · <a href="https://soundcloud.com/troubleshootingagile/the-importance-of-the-agile-principles" title="The Importance of the Agile Principles" target="_blank" style="color: #cccccc; text-decoration: none;">The Importance of the Agile Principles</a></div>

### The first agile principle: Customer satisfaction by early and continuous delivery of valuable software

<iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/388334804&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true"></iframe><div style="font-size: 10px; color: #cccccc;line-break: anywhere;word-break: normal;overflow: hidden;white-space: nowrap;text-overflow: ellipsis; font-family: Interstate,Lucida Grande,Lucida Sans Unicode,Lucida Sans,Garuda,Verdana,Tahoma,sans-serif;font-weight: 100;"><a href="https://soundcloud.com/troubleshootingagile" title="Troubleshooting Agile" target="_blank" style="color: #cccccc; text-decoration: none;">Troubleshooting Agile</a> · <a href="https://soundcloud.com/troubleshootingagile/the-first-agile-principle-delivering-fully" title="The First Agile Principle: Delivering Fully" target="_blank" style="color: #cccccc; text-decoration: none;">The First Agile Principle: Delivering Fully</a></div>

### The second agile principle: Welcome changing requirements, even in late development.

<iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/392319567&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true"></iframe><div style="font-size: 10px; color: #cccccc;line-break: anywhere;word-break: normal;overflow: hidden;white-space: nowrap;text-overflow: ellipsis; font-family: Interstate,Lucida Grande,Lucida Sans Unicode,Lucida Sans,Garuda,Verdana,Tahoma,sans-serif;font-weight: 100;"><a href="https://soundcloud.com/troubleshootingagile" title="Troubleshooting Agile" target="_blank" style="color: #cccccc; text-decoration: none;">Troubleshooting Agile</a> · <a href="https://soundcloud.com/troubleshootingagile/embracing-change-maximising-validated-learning" title="Embracing Change & Maximising Validated Learning" target="_blank" style="color: #cccccc; text-decoration: none;">Embracing Change & Maximising Validated Learning</a></div>

### The third agile principle: Deliver working software frequently (weeks rather than months)

<iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/395755155&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true"></iframe><div style="font-size: 10px; color: #cccccc;line-break: anywhere;word-break: normal;overflow: hidden;white-space: nowrap;text-overflow: ellipsis; font-family: Interstate,Lucida Grande,Lucida Sans Unicode,Lucida Sans,Garuda,Verdana,Tahoma,sans-serif;font-weight: 100;"><a href="https://soundcloud.com/troubleshootingagile" title="Troubleshooting Agile" target="_blank" style="color: #cccccc; text-decoration: none;">Troubleshooting Agile</a> · <a href="https://soundcloud.com/troubleshootingagile/delivering-working-software-frequently-continuously" title="Delivering Working Software Frequently & Continuously" target="_blank" style="color: #cccccc; text-decoration: none;">Delivering Working Software Frequently & Continuously</a></div>

### The fourth agile principle: Close, daily cooperation between business people and developers

<iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/399430947&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true"></iframe><div style="font-size: 10px; color: #cccccc;line-break: anywhere;word-break: normal;overflow: hidden;white-space: nowrap;text-overflow: ellipsis; font-family: Interstate,Lucida Grande,Lucida Sans Unicode,Lucida Sans,Garuda,Verdana,Tahoma,sans-serif;font-weight: 100;"><a href="https://soundcloud.com/troubleshootingagile" title="Troubleshooting Agile" target="_blank" style="color: #cccccc; text-decoration: none;">Troubleshooting Agile</a> · <a href="https://soundcloud.com/troubleshootingagile/agile-principle-4-business-developers-working-together-daily" title="Agile Principle 4: Business & Developers Working Together Daily" target="_blank" style="color: #cccccc; text-decoration: none;">Agile Principle 4: Business & Developers Working Together Daily</a></div>

### The fifth agile principle: Projects are built around motivated individuals, who should be trusted

<iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/402933828&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true"></iframe><div style="font-size: 10px; color: #cccccc;line-break: anywhere;word-break: normal;overflow: hidden;white-space: nowrap;text-overflow: ellipsis; font-family: Interstate,Lucida Grande,Lucida Sans Unicode,Lucida Sans,Garuda,Verdana,Tahoma,sans-serif;font-weight: 100;"><a href="https://soundcloud.com/troubleshootingagile" title="Troubleshooting Agile" target="_blank" style="color: #cccccc; text-decoration: none;">Troubleshooting Agile</a> · <a href="https://soundcloud.com/troubleshootingagile/motivating-individuals-and-trusting-your-agile-team" title="Motivating Individuals and Trusting Your Agile Team" target="_blank" style="color: #cccccc; text-decoration: none;">Motivating Individuals and Trusting Your Agile Team</a></div>

### The sixth agile principle: Face-to-face conversation is the best form of communication (co-location)

<iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/406442592&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true"></iframe><div style="font-size: 10px; color: #cccccc;line-break: anywhere;word-break: normal;overflow: hidden;white-space: nowrap;text-overflow: ellipsis; font-family: Interstate,Lucida Grande,Lucida Sans Unicode,Lucida Sans,Garuda,Verdana,Tahoma,sans-serif;font-weight: 100;"><a href="https://soundcloud.com/troubleshootingagile" title="Troubleshooting Agile" target="_blank" style="color: #cccccc; text-decoration: none;">Troubleshooting Agile</a> · <a href="https://soundcloud.com/troubleshootingagile/efficiency-effectiveness-through-face-to-face-conversation" title="Efficiency & Effectiveness Through Face-to-Face Conversation" target="_blank" style="color: #cccccc; text-decoration: none;">Efficiency & Effectiveness Through Face-to-Face Conversation</a></div>

### The seventh agile principle: Working software is the primary measure of progress

<iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/409971582&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true"></iframe><div style="font-size: 10px; color: #cccccc;line-break: anywhere;word-break: normal;overflow: hidden;white-space: nowrap;text-overflow: ellipsis; font-family: Interstate,Lucida Grande,Lucida Sans Unicode,Lucida Sans,Garuda,Verdana,Tahoma,sans-serif;font-weight: 100;"><a href="https://soundcloud.com/troubleshootingagile" title="Troubleshooting Agile" target="_blank" style="color: #cccccc; text-decoration: none;">Troubleshooting Agile</a> · <a href="https://soundcloud.com/troubleshootingagile/working-software-is-the-primary-measure-of-progress" title="Working Software is the Primary Measure of Progress" target="_blank" style="color: #cccccc; text-decoration: none;">Working Software is the Primary Measure of Progress</a></div>

### The eighth agile principle: Sustainable development, able to maintain a constant pace

<iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/413492106&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true"></iframe><div style="font-size: 10px; color: #cccccc;line-break: anywhere;word-break: normal;overflow: hidden;white-space: nowrap;text-overflow: ellipsis; font-family: Interstate,Lucida Grande,Lucida Sans Unicode,Lucida Sans,Garuda,Verdana,Tahoma,sans-serif;font-weight: 100;"><a href="https://soundcloud.com/troubleshootingagile" title="Troubleshooting Agile" target="_blank" style="color: #cccccc; text-decoration: none;">Troubleshooting Agile</a> · <a href="https://soundcloud.com/troubleshootingagile/indefinite-sustainable-pace-vs-crunch-time-cramming" title="Indefinite Sustainable Pace Vs Crunch Time Cramming" target="_blank" style="color: #cccccc; text-decoration: none;">Indefinite Sustainable Pace Vs Crunch Time Cramming</a></div>

### The ninth agile principle: Continuous attention to technical excellence and good design

<iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/416974866&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true"></iframe><div style="font-size: 10px; color: #cccccc;line-break: anywhere;word-break: normal;overflow: hidden;white-space: nowrap;text-overflow: ellipsis; font-family: Interstate,Lucida Grande,Lucida Sans Unicode,Lucida Sans,Garuda,Verdana,Tahoma,sans-serif;font-weight: 100;"><a href="https://soundcloud.com/troubleshootingagile" title="Troubleshooting Agile" target="_blank" style="color: #cccccc; text-decoration: none;">Troubleshooting Agile</a> · <a href="https://soundcloud.com/troubleshootingagile/enhancing-agility-through-technical-excellence-and-good-design" title="Enhancing Agility Through Technical Excellence and Good Design" target="_blank" style="color: #cccccc; text-decoration: none;">Enhancing Agility Through Technical Excellence and Good Design</a></div>

### The tenth agile principle: Simplicity - the art of maximizing the amount of work not done - is essential

<iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/421253958&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true"></iframe><div style="font-size: 10px; color: #cccccc;line-break: anywhere;word-break: normal;overflow: hidden;white-space: nowrap;text-overflow: ellipsis; font-family: Interstate,Lucida Grande,Lucida Sans Unicode,Lucida Sans,Garuda,Verdana,Tahoma,sans-serif;font-weight: 100;"><a href="https://soundcloud.com/troubleshootingagile" title="Troubleshooting Agile" target="_blank" style="color: #cccccc; text-decoration: none;">Troubleshooting Agile</a> · <a href="https://soundcloud.com/troubleshootingagile/the-art-of-agile-simplicity" title="The Art of Agile Simplicity" target="_blank" style="color: #cccccc; text-decoration: none;">The Art of Agile Simplicity</a></div>

### The eleventh agile principle: Best architectures, requirements, and designs emerge from self-organizing teams

<iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/424179303&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true"></iframe><div style="font-size: 10px; color: #cccccc;line-break: anywhere;word-break: normal;overflow: hidden;white-space: nowrap;text-overflow: ellipsis; font-family: Interstate,Lucida Grande,Lucida Sans Unicode,Lucida Sans,Garuda,Verdana,Tahoma,sans-serif;font-weight: 100;"><a href="https://soundcloud.com/troubleshootingagile" title="Troubleshooting Agile" target="_blank" style="color: #cccccc; text-decoration: none;">Troubleshooting Agile</a> · <a href="https://soundcloud.com/troubleshootingagile/inspire-mutiny-become-a-self-organizing-agile-team" title="Inspire a Mutiny and Become a Self-Organizing Agile Team" target="_blank" style="color: #cccccc; text-decoration: none;">Inspire a Mutiny and Become a Self-Organizing Agile Team</a></div>

### The twelfth agile principle: Regularly, the team reflects on how to become more effective, and adjusts accordingly

<iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/430545678&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true"></iframe><div style="font-size: 10px; color: #cccccc;line-break: anywhere;word-break: normal;overflow: hidden;white-space: nowrap;text-overflow: ellipsis; font-family: Interstate,Lucida Grande,Lucida Sans Unicode,Lucida Sans,Garuda,Verdana,Tahoma,sans-serif;font-weight: 100;"><a href="https://soundcloud.com/troubleshootingagile" title="Troubleshooting Agile" target="_blank" style="color: #cccccc; text-decoration: none;">Troubleshooting Agile</a> · <a href="https://soundcloud.com/troubleshootingagile/finding-the-motivation-to-learn-stay-agile" title="Finding the Motivation to Learn - &amp; Stay Agile" target="_blank" style="color: #cccccc; text-decoration: none;">Finding the Motivation to Learn - &amp; Stay Agile</a></div>
